/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.worksalaryitem.service;

import java.util.List;

import com.jeeplus.common.utils.MenuStatusEnum;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.worksalaryitem.entity.WorkSalaryItem;
import com.jeeplus.modules.worksalaryitem.dao.WorkSalaryItemDao;

/**
 * 工资项Service
 * @author ssrh
 * @version 2018-09-17
 */
@Service
@Transactional(readOnly = true)
public class WorkSalaryItemService extends CrudService<WorkSalaryItemDao, WorkSalaryItem> {

	public WorkSalaryItem get(String id) {
		return super.get(id);
	}
	
	public List<WorkSalaryItem> findList(WorkSalaryItem workSalaryItem) {
		return super.findList(workSalaryItem);
	}
	
	public Page<WorkSalaryItem> findPage(Page<WorkSalaryItem> page, WorkSalaryItem workSalaryItem) {
		workSalaryItem.getSqlMap().put("dsf", dataScopeFilter(workSalaryItem.getCurrentUser(), "o", "u","s", MenuStatusEnum.WORK_SALARYITEM.getValue()));
		workSalaryItem.setPage(page);
		page.setList(findList(workSalaryItem));
		return page;
	}
	
	@Transactional(readOnly = false)
	public void save(WorkSalaryItem workSalaryItem) {
		super.save(workSalaryItem);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkSalaryItem workSalaryItem) {
		super.delete(workSalaryItem);
	}
	
	
	
	
}